import { EventEmitter, ChangeDetectorRef, AfterViewInit } from '@angular/core';
import { NgForm } from '@angular/forms';
export declare class RadioControlComponent implements AfterViewInit {
    private ref;
    private initialized;
    private pModel;
    private pItems;
    name: string;
    valueField: string;
    displayField: string;
    display: 'row' | 'column';
    form: NgForm;
    label: string;
    _items: any[];
    get items(): any[];
    set items(items: any[]);
    set model(value: any);
    required: boolean;
    disabled: boolean;
    modelChange: EventEmitter<any>;
    change: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    constructor(ref: ChangeDetectorRef);
    _model: any;
    ngAfterViewInit(): void;
    onChange(value: any): void;
    private onChanges;
}
